Append Menu Item

- « UI\Menu

- UI\Menu::appendAbout »

- PHP Manual
- UI\Menu
- Append Menu Item

# UI\Menu::append

(UI 0.9.9)

UI\Menu::append — Append Menu Item

### Description

public UI\Menu::append(string `$name`, string `$type` = UI\MenuItem::class): UI\MenuItem

Shall append a new Menu Item

### Parameters

`name`

  The name (text) for the new item

`type`

  The type for the new item

### Return Values

A constructed object of the given type